﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define e = Character('Eileen', color="#c8ffc8")

image bg logo = "logo.jpg"
image bg main_menu = "titlescreen.png"

init python hide:
    for file in renpy.list_files():
        if file.startswith('bg') and file.endswith('.jpg'):
            name = file.replace('BG/','').replace('/', ' ').replace('.jpg','')
            renpy.image(name, Image(file))

init:
    image cg1 = "cg01.jpg"
    image cg2 = "cg02.jpg"
    image cg3 = "cg03.jpg"
    image cg4 = "cg04.jpg"
    image cg5 = "cg05.jpg"
    image cg6 = "cg06.jpg"
    image cg7 = "cg07.jpg"
    image cg8 = "cg08.jpg"
    image cg9 = "cg09.jpg"
    image cg10 = "cg10.jpg"
    image cg11 = "cg11.jpg"
    
    
# This is the splash screen. Should show my logo, and then the 
# instructions for playing on the Ouya.
label splashscreen:
    $ renpy.pause(0)
    show bg logo
    with dissolve
    with Pause (1.5)
    
    show bg main_menu
    with fade
    with Pause(1.5)
    
    return
    
    
    
# The game starts here.
label start:
    
    # This code activates the "pause menu" in screens.rpy
    $ _game_menu_screen = "game_menu"

   
    $ month = 0
    
label text_test:
    
    scene bg default
    
    "Here is some text. I want to test the text speed. See how the letters form one after another?"

    "The speed is set to 20 letters per second. If speed is set to 0 then the text will appear right away, with no lag."
    
    "You can change the default text speed by opening options.rpy and searching for 'text speed'."
    
    "Press the 'CTRL' button and the 'f' button at the same time to bring up a search box at the bottom of the screen.
     Then just type in 'text speed'-- but remember to add the space in the middle and to check spelling when using Search."
    
    show cg1
    
    "In options.rpy, after searching for 'text speed', you will see a line like this 'config.default_text_cps = 20'"
    
    "Just change the number twenty to any number you want. Experiement with different speeds to see what works."
    
    "If the speed isn't working, make sure you saved the options.rpy file and then go into the Ren'Py Launcher and click
     Delete Persistent Data." 
    
    "Sometimes Ren'Py holds onto the last text speed used, but doing this should clear that up."
   
    jump month
   
label check_events:
   
   #SCHOOL
    if current_week is "Art":
        jump Art
        
    if current_week is "Fencing":
        jump Fencing
        
    if current_week is "Math":
        jump Math
        
    if current_week is "Alchemy":
        jump Alchemy
        
    #WORK
    if current_week is "Church":
        jump Church
    
    if current_week is "Farm":
        jump Farm
        
    if current_week is "Store":
        jump Store
        
    if current_week is "Chores":
        jump Chores
        
    #TRAVEL
    if current_week is "North":
        jump North
        
    if current_week is "East":
        jump East
        
    if current_week is "South":
        jump South
        
    if current_week is "West":
        jump West
        
    #REST
    if current_week is "Home":
        jump Home
        
    if current_week is "Library":
        jump Library
        
    if current_week is "Vacation":
        jump Vacation
        
    if current_week is "Hospital":
        jump Hospital
   
    return
   
label check_end:
   
    "This function will check to see what ending has been triggered."
   
    return
   
label month:
   
    $ month += 1
   
    scene bg default
   
    #Setting default values for the schedule
   
    $ week01 = None
    $ week02 = None
    $ week03 = None
    $ week04 = None

label schedule_repeat:

    call screen schedule

    if week01 is None or week02 is None or week03 is None or week04 is None:

        "Please pick an activity for every week this month."

        jump schedule_repeat
   
label week01:
    
    $ current_week = week01
   
    $renpy.scene()
    $renpy.show("bg "+week01)
   
    centered "{b}{size=+12}{color=#003C78}First Week Plan: [week01]{/color}{/size}{/b}"
   
    call check_events
    
    $ week01 = None
   
label week02:
    
    $ current_week = week02
    
    $renpy.scene()
    $renpy.show("bg "+week02)
   
    centered "{b}{size=+12}{color=#003C78}Second Week Plan: [week02]{/color}{/size}{/b}"
   
    call check_events
    
    $ week02 = None
   
label week03:
    
    $ current_week = week03
    
    $renpy.scene()
    $renpy.show("bg "+week03)
   
    centered "{b}{size=+12}{color=#003C78}Third Week Plan: [week03]{/color}{/size}{/b}"
   
    call check_events
    
    $ week03 = None
   
label week04:
    
    $ current_week = week04
    
    $renpy.scene()
    $renpy.show("bg "+week04)
   
    centered "{b}{size=+12}{color=#003C78}Fourth Week Plan: [week04]{/color}{/size}{/b}"
   
    call check_events
    
    $ week04 = None
   
label end_month:
   
    "The month is already over. Time sure does fly."
   
    if month < 3:
        jump month
       
label game_over:
   
    call check_end
   
    "Game Over."
   
    return

